INoteAmount

data

## Class INoteAmount

- java.lang.Object
- - data.INoteAmount

-     public class INoteAmount
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `amount`
    `private int` | `category`
    `private java.lang.String` | `name`
    `private int` | `octave`
    `private int` | `pitch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `INoteAmount()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAmount()`
    `int` | `getCategory()`
    `java.lang.String` | `getName()`
    `int` | `getOctave()`
    `int` | `getPitch()`
    `void` | `setAmount(int amount)`
    `void` | `setCategory(int category)`
    `void` | `setName(java.lang.String name)`
    `void` | `setOctave(int octave)`
    `void` | `setPitch(int pitch)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          private java.lang.String name

    - #### octave

          private int octave

    - #### amount

          private int amount

    - #### pitch

          private int pitch

    - #### category

          private int category

  - ### Constructor Detail

    - #### INoteAmount

          public INoteAmount()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getOctave

          public int getOctave()

    - #### setOctave

          public void setOctave(int octave)

    - #### getAmount

          public int getAmount()

    - #### setAmount

          public void setAmount(int amount)

    - #### getCategory

          public int getCategory()

    - #### setCategory

          public void setCategory(int category)

    - #### getPitch

          public int getPitch()

    - #### setPitch

          public void setPitch(int pitch)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`